/*===========================================================================

   SPW Config dialog
   
   $ Version 1.0  21/12/94  22:11:21 $

   Copyright 1994 by Marco Savegnago.  All rights reserved.
   This software may be freely distributed and used, but it may not
   under any circumstances be sold by anyone other than the author.
   It may be distributed by a commercial company as long as it is
   for no cost.

===========================================================================*/

#ifndef	__CONFDLG_H
#define	__CONFDLG_H

#include <owl/dialog.h>
#include <owl/radiobut.h>
#include <owl/edit.h>
#include <owl/checkbox.h>

//
// Record to communicate the properties of an application to the dialog
// and back to AppLauncher.
//

#define PASSWORD_LEN    256

struct TConfigData
{
	TConfigData()
	:
        MatrixPassword(FALSE),
        MD2Password(TRUE),
		copyToClipboard(TRUE)
	{
        matrixLen[0] = NULL;
        passwordString[0] = NULL;
	}

    BOOL		MatrixPassword;
	BOOL		MD2Password;
    char		matrixLen[3];
    char		passwordString[PASSWORD_LEN];
	BOOL      	copyToClipboard;
};

//
// Allow user to the properties of an application.
//
class TConfigDialog
:
	public TDialog
{

public:
	TConfigDialog(TWindow* parent, int resId, TConfigData* data);

    void    HandleMatrixRB();

private:
	// Controls.
	//
	TRadioButton* MatrixPassword;
	TEdit*        MatrixLen;
    TRadioButton* MD2Password;
	TEdit*        PasswordString;
	TCheckBox*    SendToClipboard;

	DECLARE_RESPONSE_TABLE(TConfigDialog);
};

#endif
